---
- name: Install Keycloak
  hosts: all
  become: True
  tasks:
    - name: Install epel-release
      package:
        name: epel-release
        state: present

    - name: Install docker
      package:
        name: "{{ item }}"
        state: present
      loop:
        - docker
        - python-docker-py

    - name: Start and enable docker
      service:
        name: docker
        state: started
        enabled: true

    - name: Start Keycloak container
      docker_container:
        name: keycloak
        image: quay.io/keycloak/keycloak:15.0.2
        env:
          KEYCLOAK_USER: admin
          KEYCLOAK_PASSWORD: admin
        ports:
          8080:8080
        state: started
